---
title: MediaKeyMessageEvent()
slug: Web/API/MediaKeyMessageEvent/MediaKeyMessageEvent
tags:
  - API
  - Constructor
  - EncryptedMediaExtensions
  - MediaKeyMessageEvent
  - NeedsContent
  - NeedsExample
  - Reference
---
<p>{{APIRef("EncryptedMediaExtensions")}}{{Non-standard_header}}</p>

<p>The <strong><code>MediaKeyMessageEvent</code></strong> constructor creates a new {{domxref("MediaKeyMessageEvent")}} object which creates a new instance of <code>MediaKeyMessageEvent</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var mediaKeyMessageEvent = new MediaKeyMessageEvent(typeArg, options)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>typeArg</em></dt>
 <dd>A {{domxref("DOMString")}} containing one of May be one of <code>license-request</code>, <code>license-renewal</code>, <code>license-renewal</code>, or <code>individualization-request</code>.</dd>
 <dt><em>options</em> </dt>
 <dd>Options are as follows:
 <ul>
  <li><code>messageType</code>: A developer-defined message type that allows applications to differentiate messages without parsing them.</li>
  <li><code>message</code>: An array containing the message generated by the content decryption module.</li>
 </ul>
 </dd>
</dl>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.MediaKeyMessageEvent.MediaKeyMessageEvent")}}</p>
</div>
